Neo4j Desktop 1.3.5 and 1.3.6 have both been recalled

Hello,

We have recently released, then rolled back updates to Neo4j Desktop, versions 1.3.5 and 1.3.6. They have both revealed migration problems stemming from some internal refactoring. The refactoring has revealed gaps in our testing regime, which we intended to improve through this same refactoring, meaning that while we have improved testability we have not yet expanded test coverage. I am deeply sorry for any problems this has caused any of you.

We roll out releases in progressive batches to limit the exposure of previously undetected problems. With each scenario we learn about, we increase our testing matrix to prevent regression. Our testing coverage in the affected areas was limited.

When not caught by a test, we rely on Canary releases and eventually the official releases to learn about problems. We are grateful and apologetic for the issue reports which you bring to our attention.

Please reply to this thread with any problems you've experience stemming from upgrading to Neo4j Desktop 1.3.5 or Neo4j Desktop 1.3.6.

Regards,
Andreas

I really appreciate the honesty.
Any other company would have just pushed a 1.3.6.1 and that would have been it.

Is there an issue with 1.3.7 as well?

I use Neo4j Desktop on a Windows VM. I'm not sure what version of the desktop I was using before but I updated to 1.3.7 this afternoon and now am unable to start any of my databases, including the ones that I was using this morning. I get an error message that says "Database failed to start: Database Process Terminated, see logs.. Check the logs" In the logs I see an "Access is denied" error but can't find any Neo4j resources to move past this.

Apologies @emroberts95. Please revert to Neo4j Desktop 1.3.4, which is the version available for download from neo4j.com, to see if you can get going again.

It does look like there's a file permission problem, though I'm unsure why that would've changed. I'll check with the dev-team to get a better clue.

-ABK

Thanks ABK,

Reversion to 1.3.4 worked!

1 Like

Hello @andreas.kollegger ,
Could you please take a look on Cloning a database "destroyed" it? ?
I don't know if it's related to 1.3.8 or not, but the cloning function has an issue.
I would need now to clone my db again and i'm afraid to do it.
Thanks